Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Newer
Older
100644 66 lines (60 sloc) 1.997 kb
e4b5860 @jamesgolick Regenerate gemspec for version 1.0.0
authored
1 # Generated by jeweler
2 # DO NOT EDIT THIS FILE DIRECTLY
3 # Instead, edit Jeweler::Tasks in Rakefile, and run 'rake gemspec'
4 # -*- encoding: utf-8 -*-
5
6 Gem::Specification.new do |s|
7 s.name = "degrade"
8 s.version = "1.0.0"
9
10 s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
11 s.authors = ["James Golick"]
12 s.date = "2011-10-06"
13 s.description = "Keep track of error rates using redis. Degrade functionality if they're too high."
14 s.email = "jamesgolick@gmail.com"
15 s.extra_rdoc_files = [
16 "LICENSE",
17 "README.rdoc"
18 ]
19 s.files = [
20 ".document",
21 "Gemfile",
22 "Gemfile.lock",
23 "LICENSE",
24 "README.rdoc",
25 "Rakefile",
26 "VERSION",
27 "lib/degrade.rb",
28 "lib/degraderator.rb",
29 "spec/degrade_spec.rb",
30 "spec/degraderator_spec.rb",
31 "spec/spec.opts",
32 "spec/spec_helper.rb"
33 ]
34 s.homepage = "http://github.com/jamesgolick/degrade"
35 s.require_paths = ["lib"]
36 s.rubygems_version = "1.3.9.3"
37 s.summary = "Keep track of error rates using redis. Degrade functionality if they're too high."
38 s.test_files = [
39 "spec/degrade_spec.rb",
40 "spec/degraderator_spec.rb",
41 "spec/spec_helper.rb"
42 ]
43
44 if s.respond_to? :specification_version then
45 s.specification_version = 3
46
47 if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
48 s.add_development_dependency(%q<jeweler>, [">= 0"])
49 s.add_development_dependency(%q<rspec>, ["= 1.3.0"])
50 s.add_development_dependency(%q<bourne>, ["= 1.0.0"])
51 s.add_development_dependency(%q<redis>, ["= 2.0.12"])
52 else
53 s.add_dependency(%q<jeweler>, [">= 0"])
54 s.add_dependency(%q<rspec>, ["= 1.3.0"])
55 s.add_dependency(%q<bourne>, ["= 1.0.0"])
56 s.add_dependency(%q<redis>, ["= 2.0.12"])
57 end
58 else
59 s.add_dependency(%q<jeweler>, [">= 0"])
60 s.add_dependency(%q<rspec>, ["= 1.3.0"])
61 s.add_dependency(%q<bourne>, ["= 1.0.0"])
62 s.add_dependency(%q<redis>, ["= 2.0.12"])
63 end
64 end
65
Something went wrong with that request. Please try again.